unit SDR_Control;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ComCtrls, SdpoSerial;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Label1: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    ListBox1: TListBox;
    SdpoSerial1: TSdpoSerial;
    TrackBar1: TTrackBar;
    TrackBar2: TTrackBar;
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure OnActiv(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure TrackBar1Change(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  PA_ON, ATT_ON: boolean;


implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  SdpoSerial1.Active:=true;
end;

procedure TForm1.OnActiv(Sender: TObject);
begin
  PA_ON := false;
  ATT_ON := false;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  SdpoSerial1.Device := ListBox1.GetSelectedText;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  if ATT_ON then
  Begin
    ATT_ON := false;
    SdpoSerial1.WriteData('32@');
    Label6.Caption := 'OFF';
  end
  else
  Begin
    ATT_ON := true;
    SdpoSerial1.WriteData('31@');
    Label6.Caption := 'ON';
  end;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  if PA_ON then
  Begin
    PA_ON := false;
    SdpoSerial1.WriteData('22@');
    Button9.Font.Color := clRed;
    Label7.Caption := 'OFF';
  end
  else
  Begin
    PA_ON := true;
    SdpoSerial1.WriteData('21@');
    Button9.Font.Color := clBlack;
    Label7.Caption := 'ON';
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SdpoSerial1.WriteData('11@');
  Label8.Caption := 'ON';
  Label9.Caption := '';
  Label10.Caption := '';
  Label11.Caption := '';
  Label12.Caption := '';
  Label13.Caption := '';
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  SdpoSerial1.WriteData('12@');
  Label8.Caption := '';
  Label9.Caption := 'ON';
  Label10.Caption := '';
  Label11.Caption := '';
  Label12.Caption := '';
  Label13.Caption := '';

end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  SdpoSerial1.WriteData('13@');
  Label8.Caption := '';
  Label9.Caption := '';
  Label10.Caption := 'ON';
  Label11.Caption := '';
  Label12.Caption := '';
  Label13.Caption := '';

end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  SdpoSerial1.WriteData('14@');
  Label8.Caption := '';
  Label9.Caption := '';
  Label10.Caption := '';
  Label11.Caption := 'ON';
  Label12.Caption := '';
  Label13.Caption := '';

end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  SdpoSerial1.WriteData('15@');
  Label8.Caption := '';
  Label9.Caption := '';
  Label10.Caption := '';
  Label11.Caption := '';
  Label12.Caption := 'ON';
  Label13.Caption := '';

end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  SdpoSerial1.WriteData('11@');
  Label8.Caption := '';
  Label9.Caption := '';
  Label10.Caption := '';
  Label11.Caption := '';
  Label12.Caption := '';
  Label13.Caption := 'ON';

end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  SdpoSerial1.WriteData('11@');
  SdpoSerial1.WriteData('22@');
  SdpoSerial1.WriteData('32@');
  SdpoSerial1.WriteData('199@');
  SdpoSerial1.WriteData('299@');
  SdpoSerial1.Active:=false;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  sleep(1);
  SdpoSerial1.WriteData(IntToStr(TrackBar1.Position+100)+'@');
  label1.Caption:=IntToStr(TrackBar1.Position);
end;

procedure TForm1.TrackBar2Change(Sender: TObject);
begin
  sleep(1);
  SdpoSerial1.WriteData(IntToStr(TrackBar2.Position+200)+'@');
  label3.Caption:=IntToStr(TrackBar2.Position);
end;

end.

